/* should be added to html tag thru js */
html.customizer-ui-v2 {

    $marginTopOnDesktop: 79px;
    $marginTopOnMobile : 69px;

    $topBannerHeight: 0px;
    /* no banner on xillaim site.. YET */

    $fontPrimary: 'Input Sans', sans-serif;

    &.customizer-loaded,
    &.customizer-ending {
        height    : auto !important;
        max-height: inherit !important;
    }

    &.customizer-loading .customizer-progress-bar,
    &.customizer-ending .customizer-outro {
        visibility: visible;
        opacity   : 1;
        transition: opacity 400ms, visibility 0ms;
    }

    &.customizer-loading .variant-customizer-container,
    &.customizer-loaded .variant-customizer-container,
    &.customizer-ending .variant-customizer-container {
        opacity   : 1;
        visibility: visible;
        transition: all 0s;
    }

    .variant-customizer-container {
        position  : fixed;
        top       : 0;
        left      : 0;
        width     : 100vw;
        height    : 100vh;
        z-index   : 900;
        display   : flex;
        opacity   : 0;
        visibility: hidden;
        margin-top: $marginTopOnDesktop;
    }

    .with-top-banner .variant-customizer-container {
        margin-top: calc(#{$marginTopOnDesktop} + #{$topBannerHeight});
    }


    .customizer-progress-bar,
    .customizer-outro {
        max-height      : calc(100vh - #{$marginTopOnMobile});
        background-color: #2A469D;
    }

    .customizer-progress-bar-text {
        font-size  : 30px;
        line-height: 1.33;
        font-family: $fontPrimary;
    }

    .customizer-ui-wrapper {
        position        : absolute;
        top             : 0;
        right           : 0;
        height          : 100%;
        max-height      : calc(100vh - #{$marginTopOnDesktop});
        overflow-y      : auto;
        overflow-x      : hidden;
        width           : 30vw;
        display         : flex;
        flex-direction  : column;
        background-color: #fff;
    }

    .ui-step2 {
        .customizer-steps {
            &:nth-of-type(1) {
                transform: translateX(-100%);
            }

            &:nth-of-type(2) {
                transform: translateX(0%);
            }
        }
    }

    .customizer-steps {
        
        width           : 100%;
        height          : 100%;
        position        : absolute;
        transition      : transform 0.5s;
        flex-direction  : column;
        justify-content : space-between;
        display         : flex;
        max-height      : calc(100vh - #{$marginTopOnDesktop});
        background-color: #f9f9f9;

        &:nth-of-type(1) {
            transform: translateX(0%);
        }

        &:nth-of-type(2) {
            transform: translateX(100%);
        }

        .group-row {
            width          : 100%;
            display        : flex;
            justify-content: center;
            align-items    : center;
            padding        : 15px 0;
            flex-direction : column;
            background     : #fff;
            border         : 2px solid #F9F9F9;
            cursor         : pointer;


            .group-line-name {
                font-family: $fontPrimary;
                margin-top : 4px;
            }

            .color-group {
                position     : relative;
                width        : 32px;
                height       : 32px;
                transform    : rotate(45deg);
                border       : 1px solid #DDDDDD;
                border-radius: 50%;
                overflow     : hidden;

                .color-group-item {
                    position        : absolute;
                    left            : 0;
                    top             : 0;
                    width           : 32px;
                    height          : 32px;
                    content         : "";
                    background-color: black;
                }
            }
        }

        .step-button {
            border            : 0 none;
            margin            : 0;
            background        : #2A469D;
            color             : #fff;
            min-width         : 140px;
            padding           : 0px 0px;
            height            : 60px;
            text-transform    : none;
            font-weight       : 400;
            font-style        : normal;
            font-size         : 0.8125rem;
            position          : relative;
            cursor            : pointer;
            border-radius     : 0;
            -webkit-appearance: none;
            box-shadow        : none;
            display           : flex;
            align-items       : center;
            justify-content   : center;
            font-family       : $fontPrimary;
            font-size         : 16px;
            line-height       : 1.75;
        }
    }

    .customizer-line {
        margin-bottom: 0;
        padding      : 14px 0 14px 15px;
        background   : #fff;
        border       : 2px solid#F9F9F9;
        display: none;
    
        &.visible{
            display: block;
        }
    }

    

    .color-group-title {
        text-align   : center;
        margin-top   : 5px;
        margin-bottom: 0;
        font-size    : 14px;
        line-height  : 2;
        font-family  : $fontPrimary;
        font-weight  : 700;
    }

    ul.color-group-wrapper {
        padding        : 0;
        margin-top     : 5px;
        text-align     : center;
        white-space    : nowrap;
        display        : flex;
        justify-content: flex-start;

        width: 100%;
        overflow-x: auto;
        overflow-y: hidden;
        padding: 5px 0 10px;

        li {
            display            : inline-block;
            width              : 34px;
            height             : 34px;
            min-width          : 34px;
            min-height         : 34px;
            border-radius      : 99px;
            margin             : 0 5px;
            cursor             : pointer;
            background-position: center center;
            border             : 2px solid transparent;
            position           : relative;

            &.active {
                &:after {
                    position     : absolute;
                    width        : calc(100% + 8px);
                    height       : calc(100% + 8px);
                    top          : -4px;
                    left         : -4px;
                    background   : transparent;
                    border       : 1px solid #010101;
                    border-radius: 50%;
                    content      : "";
                }
            }

            &.disabled {
                pointer-events  : none !important;
                opacity         : 0.2;
                border          : 1px solid red;
                border-radius   : 50%;
                position        : relative;
                display         : inline-block;
                background-color: #fff !important;
                overflow        : hidden;

                &:after {
                    content         : "";
                    position        : absolute;
                    width           : 200%;
                    height          : 1px;
                    background      : red;
                    transform       : rotate(45deg);
                    transform-origin: 0% 0%;
                    top             : 0;
                    left            : 0;
                }
            }
        }
    }

    .customizer-input{
        font-family: $fontPrimary;
        font-weight: 400;
        font-style: normal;
        font-size: 0.9375rem;
        padding: 16px 20px;
        margin: 0;
        display: inline-block;
        border-radius: 0;
        -webkit-appearance: none;
        color:#000000;
        width: 100%;
        border: .01em solid #DDDDDD;
        background: linear-gradient(to right,#f5f5f5 50%, white 50%);
        background-size: 205% 100% !important;
        background-position: 99% !important;
        transition: all 0.3s ease-in-out !important;
        caret-color:#91B2AE;
    }

}